Package org.openjump.core.ui.plugin.datastore.ocient

# Class OcientDatastorePlugIn

java.lang.Object
com.vividsolutions.jump.workbench.plugin.AbstractPlugIn
org.openjump.core.ui.plugin.datastore.ocient.OcientDatastorePlugIn

All Implemented Interfaces:
  `com.vividsolutions.jump.workbench.plugin.EnableChecked`, `com.vividsolutions.jump.workbench.plugin.Iconified`, `com.vividsolutions.jump.workbench.plugin.PlugIn`, `com.vividsolutions.jump.workbench.plugin.Recordable`, `com.vividsolutions.jump.workbench.plugin.ShortcutEnabled`

    public class OcientDatastorePlugIn
    extends com.vividsolutions.jump.workbench.plugin.AbstractPlugIn

Author:
  potocki

## Field Summary

### Fields inherited from class com.vividsolutions.jump.workbench.plugin.AbstractPlugIn

`shortcutKeys, shortcutModifiers`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`OcientDatastorePlugIn()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `initialize​(com.vividsolutions.jump.workbench.plugin.PlugInContext context)` |

### Methods inherited from class com.vividsolutions.jump.workbench.plugin.AbstractPlugIn

`addParameter, createName, execute, execute, execute, fetchShortcutEnabledPlugins, getBooleanParam, getDoubleParam, getEnableCheck, getEnableCheck, getIcon, getIcon, getIntegerParam, getName, getParameter, getParameters, getShortcutKeys, getShortcutKeyStroke, getShortcutModifiers, getStringParam, isRollingBackInvalidEdits, isShortcutEnabled, registerShortcuts, reportNothingToUndoYet, setParameters, setShortcutKeys, setShortcutModifiers, toActionListener, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OcientDatastorePlugIn

public OcientDatastorePlugIn()

## Method Details

### initialize

public void initialize​(com.vividsolutions.jump.workbench.plugin.PlugInContext context) throws Exception

Specified by:
  `initialize` in interface `com.vividsolutions.jump.workbench.plugin.PlugIn`
Overrides:
  `initialize` in class `com.vividsolutions.jump.workbench.plugin.AbstractPlugIn`
Throws:
  `Exception`